# 启动命令

## 测试环境

```cmd
java -Dcom.sun.management.jmxremote.port=8091 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -Djava.rmi.server.hostname=192.168.0.108 -Dspring.profiles.active=dev -jar -Xmx256m robot-anchor.jar

java -jar -Xmx256m robot-anchor.jar
```

## 生产环境

```cmd
java -Dspring.profiles.active=prod -XX:+EnableJFR -XX:+UnlockCommercialFeatures -XX:+FlightRecorder -XX:StartFlightRecording=duration=60h,filename=/home/xy/xy-service/jfr-robot-anchor.jfr -jar -Xmx256m robot-anchor.jar &

java -Dspring.profiles.active=prod -jar -Xmx256m /home/xy/xy-service/robot-anchor.jar &

```

## XxlJob

```cmd
java -Xmx256m -jar xxl-job-admin-2.1.2.jar &
```