package com.starbuds.robotanchor.config;

import com.starbuds.robotanchor.utils.SpringContextUtil;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

/**
 * @author aoe
 * @date 2020/6/16
 */
@Configuration
@EnableScheduling
public class InitConfig {

    @Resource
    private ApplicationContext context;

    @PostConstruct
    private void init() {
        SpringContextUtil.setApplicationContext(context);
    }
}
