package com.starbuds.robotanchor.controller;

import com.starbuds.robotanchor.service.RobotService;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

import javax.annotation.Resource;

/**
 * 管理控制
 *
 * @author aoe
 * @date 2020/6/16
 */
@Controller
public class AdminController {

    @Resource
    private RobotService robotService;

    @GetMapping("/")
    public String index(Model model) {
        model.addAttribute("anchorList", robotService.getAnchorList());
        return "index";
    }
}
