package com.starbuds.robotanchor.mapper;

import com.starbuds.robotanchor.pojo.db.RobotDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author aoe
 * @date 2020/6/16
 */
@Mapper
@Repository
public interface RobotDAO {

    /**
     * 添加/更新数据
     */
    int insertOrUpdate(RobotDO robot);

    /**
     * 更新数据
     */
    int update(RobotDO robot);

    /**
     * 根据主键查询数据
     */
    RobotDO selectByPrimaryKey(String phone);

}
