package com.starbuds.robotanchor.utils;

import com.alibaba.fastjson.JSONObject;

/**
 * @author aoe
 * @date 2020/5/20
 */
public class XyResultTools {

    private final static String KEY_DATA = "data";

    private final static String KEY_MSG = "msg";

    private final static String KEY_CODE = "code";

    private final static String KEY_SUCCESS = "success";

    public static JSONObject getData(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getJSONObject(KEY_DATA);
    }

    public static String getDataStr(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getString(KEY_DATA);
    }

    public static String getMsg(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getString(KEY_MSG);
    }

    public static String getCode(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getString(KEY_CODE);
    }

    public static boolean getSuccess(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getBoolean(KEY_SUCCESS);
    }
}
